For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/post-api-contacts-channel-by-channel_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Add Contact Channel

POST
/api/contacts/channel/:channel_id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { channel, channelError } = await reloop.contacts.channels.addContact(
6 "chn_123456789",
7 { contact_id: "con_123456789", subscription: "opt_in" },
8);
9
10if (channelError) throw channelError;
11
12console.log(channel.subscriptionId, channel.contact.id);
1{
2 "contact": {
3 "object": "contact",
4 "id": "con_123456789",
5 "email": "john.doe@example.com",
6 "firstName": "John",
7 "lastName": "Doe",
8 "status": "subscribed",
9 "properties": {
10 "company": "Reloop",
11 "role": "Developer"
12 },
13 "groups": [
14 {
15 "id": "grp_123456789",
16 "name": "Beta Testers"
17 }
18 ],
19 "channels": [
20 {
21 "id": "channel_123456789",
22 "name": "Newsletter",
23 "subscription": "opt_in"
24 }
25 ],
26 "suppressionReason": null,
27 "suppressedAt": null,
28 "createdAt": "2026-03-23T10:00:00.000Z",
29 "updatedAt": "2026-03-23T10:00:00.000Z",
30 "event": "evt_123456789"
31 },
32 "subscriptionId": "example_subscriptionId",
33 "event": "evt_123456789"
34}

Path Parameters

channel_idstringRequired

Channel ID

Body Parameters

contact_idstring

Contact ID

emailstring

Contact email address

subscription"opt_in" | "opt_out"

Possible values: opt_in | opt_out

Was this page helpful?